> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kraken.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get execution events

> Lists executions/trades for authenticated account.




## OpenAPI

````yaml /openapi/futures-history-rest.yaml get /executions
openapi: 3.1.0
info:
  title: History
  version: '3'
  description: |
    Public history APIs.
servers:
  - url: https://futures.kraken.com/api/history/v3
    description: Kraken Futures
    x-kfOnly: true
security: []
tags:
  - name: Account History
    description: >
      Account History provides account-specific data, including account logs (
      history of all balance and position changes) and history for executions,
      orders, and triggers.


      * The `/account-log` endpoint provides a paginated JSON response, with
      access to all account log history specified by ranges of timestamp or ID.

      * The `/accountlogcsv` endpoint provides a CSV formatted response of
      500,000 rows of most recent account logs.
       See also the websocket feed of account log snapshots
      * The `/executions` endpoint provides a paginated JSON response, with
      access to all private execution history specified by ranges of timestamp
      or ID

      * The `/orders` endpoint provides a paginated JSON response, with access
      to all private order history specified by ranges of timestamp or ID

      * The `/triggers` endpoint provides a paginated JSON response, with access
      to all private trigger history specified by ranges of timestamp or ID
  - name: Market History
paths:
  /executions:
    get:
      tags:
        - Account History
      summary: Get execution events
      description: |
        Lists executions/trades for authenticated account.
      operationId: getExecutionEvents
      parameters:
        - $ref: '#/components/parameters/SinceDateFilter'
        - $ref: '#/components/parameters/BeforeDateFilter'
        - $ref: '#/components/parameters/SortOrder'
        - $ref: '#/components/parameters/ContinuationToken'
        - $ref: '#/components/parameters/Count'
        - $ref: '#/components/parameters/Tradeable'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  accountUid:
                    type: string
                    format: uuid
                  len:
                    type: integer
                    format: uint64
                  serverTime:
                    type: string
                    format: date-time
                  elements:
                    type: array
                    items:
                      $ref: '#/components/schemas/HistoricalExecutionElement'
                  continuationToken:
                    $ref: '#/components/schemas/NextContinuationToken'
                required:
                  - accountUid
                  - len
                  - elements
      security:
        - general-api-key-read-only: []
          authent: []
components:
  parameters:
    SinceDateFilter:
      name: since
      in: query
      description: Timestamp in milliseconds.
      schema:
        $ref: '#/components/schemas/TimestampMilliseconds'
    BeforeDateFilter:
      name: before
      in: query
      description: Timestamp in milliseconds.
      schema:
        $ref: '#/components/schemas/TimestampMilliseconds'
    SortOrder:
      name: sort
      in: query
      description: |
        Determines the order of events in response(s).

        - `asc` = chronological
        - `desc` = reverse-chronological
      required: false
      schema:
        type: string
        enum:
          - asc
          - desc
        default: desc
        x-exhaustive: true
    ContinuationToken:
      name: continuation_token
      in: query
      description: >
        Opaque token from the `Next-Continuation-Token` header used to continue
        listing events. The

        `sort` parameter must be the same as in the previous request to continue
        listing in the same

        direction.
      schema:
        type: string
        format: base64
    Count:
      name: count
      in: query
      description: >-
        The maximum number of results to return. The upper bound is determined
        by a global limit.
      schema:
        type: integer
        format: int64
        minimum: 1
        x-rustType: usize
    Tradeable:
      description: If present events of other tradeables are filtered out.
      name: tradeable
      in: query
      required: false
      schema:
        type: string
  schemas:
    HistoricalExecutionElement:
      type: object
      properties:
        uid:
          type: string
        timestamp:
          $ref: '#/components/schemas/TimestampMilliseconds'
        event:
          $ref: '#/components/schemas/HistoricalExecutionEvent'
      required:
        - uid
        - timestamp
        - event
    NextContinuationToken:
      description: >
        Opaque token to pass to the next request to continue listing events. The
        `sort` parameter

        must be the same as in the previous request to continue listing in the
        same direction.
      type: string
      format: base64
    TimestampMilliseconds:
      type: integer
      format: timestamp-milliseconds
      example: 1604937694000
    HistoricalExecutionEvent:
      type: object
      properties:
        Execution:
          $ref: '#/components/schemas/HistoricalExecutionDetails'
      required:
        - Execution
    HistoricalExecutionDetails:
      type: object
      properties:
        execution:
          $ref: '#/components/schemas/HistoricalExecution'
        takerReducedQuantity:
          description: sometimes empty string
          type: string
      required:
        - execution
        - takerReducedQuantity
    HistoricalExecution:
      type: object
      properties:
        uid:
          type: string
          format: uuid
        order:
          $ref: '#/components/schemas/HistoricalOrder'
        timestamp:
          $ref: '#/components/schemas/TimestampMilliseconds'
        quantity:
          $ref: '#/components/schemas/Decimal'
        price:
          $ref: '#/components/schemas/Decimal'
        markPrice:
          $ref: '#/components/schemas/Decimal'
        executionType:
          $ref: '#/components/schemas/executionType'
        limitFilled:
          type: boolean
        oldTakerOrder:
          $ref: '#/components/schemas/HistoricalOrder'
        usdValue:
          $ref: '#/components/schemas/Decimal'
        orderData:
          $ref: '#/components/schemas/OrderData'
          nullable: true
        regulatoryData:
          $ref: '#/components/schemas/RegulatoryData'
      required:
        - uid
        - order
        - timestamp
        - quantity
        - price
        - markPrice
        - limitFilled
        - usdValue
        - orderData
    HistoricalOrder:
      type: object
      properties:
        uid:
          type: string
          format: uuid
        accountUid:
          type: string
          format: uuid
        tradeable:
          type: string
        direction:
          description: >
            `Unknown` is returned when the source value couldn't be decoded;
            this will be replaced with a real value as soon as possible.
          type: string
          enum:
            - Buy
            - Sell
            - Unknown
        quantity:
          $ref: '#/components/schemas/Decimal'
        filled:
          $ref: '#/components/schemas/Decimal'
        timestamp:
          $ref: '#/components/schemas/TimestampMilliseconds'
        limitPrice:
          $ref: '#/components/schemas/Decimal'
        orderType:
          description: >
            `Unknown` is returned when the source value couldn't be decoded;
            this will be replaced with a real value as soon as possible.
          type: string
          enum:
            - Limit
            - IoC
            - Post
            - Market
            - Liquidation
            - Assignment
            - Unwind
            - Unknown
        clientId:
          type: string
        reduceOnly:
          type: boolean
        lastUpdateTimestamp:
          $ref: '#/components/schemas/TimestampMilliseconds'
        spotData:
          type:
            - string
            - 'null'
        regulatoryExternalUid:
          type: string
          format: uuid
      required:
        - uid
        - accountUid
        - tradeable
        - direction
        - quantity
        - filled
        - timestamp
        - limitPrice
        - orderType
        - clientId
        - reduceOnly
        - lastUpdateTimestamp
        - spotData
    Decimal:
      type: string
      format: decimal
      example: '1234.56789'
    executionType:
      type: string
      enum:
        - maker
        - taker
    OrderData:
      type: object
      properties:
        fee:
          $ref: '#/components/schemas/Decimal'
        positionSize:
          $ref: '#/components/schemas/Decimal'
        feeCalculationInfo:
          type: array
          items:
            $ref: '#/components/schemas/FeeCalculationInfoElement'
      required:
        - fee
        - positionSize
        - feeCalculationInfo
    RegulatoryData:
      type: object
      properties:
        venue:
          type: string
        counterparty:
          type: string
        externalUid:
          type: string
          format: uuid
      required: []
    FeeCalculationInfoElement:
      type: object
      properties:
        percentageFee:
          $ref: '#/components/schemas/Decimal'
        userFeeDiscountApplied:
          oneOf:
            - $ref: '#/components/schemas/Decimal'
            - type: 'null'
        marketShareRebateCredited:
          oneOf:
            - $ref: '#/components/schemas/Decimal'
            - type: 'null'
      required:
        - percentageFee
        - userFeeDiscountApplied
        - marketShareRebateCredited
  securitySchemes:
    general-api-key-read-only:
      type: apiKey
      description: General API key with at least **read-only** access
      in: header
      name: APIKey
      x-inlineDescription: true
    authent:
      type: apiKey
      description: Authentication string
      in: header
      name: Authent
      x-inlineDescription: true

````